gtkmm: Gtk::CellAreaBox Class Reference

gtkmm 3.1.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::CellAreaBox Class Reference

A cell area that renders CellRenderers into a row or a colum, depending on its orientation. More...

Inheritance diagram for Gtk::CellAreaBox:
[legend]
Collaboration diagram for Gtk::CellAreaBox:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellAreaBox ()
GtkCellAreaBox* | gobj ()
| Provides access to the underlying C GObject.
const GtkCellAreaBox* | gobj () const
| Provides access to the underlying C GObject.
GtkCellAreaBox* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | pack_start (CellRenderer& renderer, bool expand=false, bool align=true, bool fixed=false)
| Adds renderer to box, packed with reference to the start of box.
void | pack_end (CellRenderer& renderer, bool expand=false, bool align=true, bool fixed=false)
| Adds renderer to box, packed with reference to the end of box.
int | get_spacing () const
| Gets the spacing added between cell renderers.
void | set_spacing (int spacing)
| Sets the spacing to add between cell renderers in box.
Glib::PropertyProxy< int > | property_spacing ()
| Space which is inserted between cells.
Glib::PropertyProxy_ReadOnly< int > | property_spacing () const
| Space which is inserted between cells.
## Protected Member Functions
| CellAreaBox ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::CellAreaBox > | wrap (GtkCellAreaBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A cell area that renders CellRenderers into a row or a colum, depending on its orientation.

This class uses a notion of packing. Packing refers to adding cell renderers with reference to a particular position in a CellAreaBox. There are two reference positions: the start and the end of the box. When the CellAreaBox is oriented in the Gtk::ORIENTATION_VERTICAL orientation, the start is defined as the top of the box and the end is defined as the bottom. In the Gtk::ORIENTATION_HORIZONTAL orientation start is defined as the left side and the end is defined as the right side.

Alignments of CellRenderers rendered in adjacent rows can be configured by configuring the align_child cell property with CellArea::cell_set_property() or by specifying the "align" argument to pack_start() or pack_end().

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::CellAreaBox::~CellAreaBox | ( |  | ) | `[virtual]`

Gtk::CellAreaBox::CellAreaBox | ( |  | ) | `[protected]`

## Member Function Documentation

int Gtk::CellAreaBox::get_spacing | ( |  | ) | const

Gets the spacing added between cell renderers.

Since gtkmm 3.0:

Returns:
  The space added between cell renderers in box.

const GtkCellAreaBox* Gtk::CellAreaBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::CellArea.

GtkCellAreaBox* Gtk::CellAreaBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::CellArea.

GtkCellAreaBox* Gtk::CellAreaBox::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gtk::CellArea.

void Gtk::CellAreaBox::pack_end | ( | CellRenderer& | renderer,
|  | bool | expand = `false`,
|  | bool | align = `true`,
|  | bool | fixed = `false`
| ) |  |

Adds renderer to box, packed with reference to the end of box.

The renderer is packed after (away from end of) any other Gtk::CellRenderer packed with reference to the end of box.

Since gtkmm 3.0:

Parameters:

  renderer | The Gtk::CellRenderer to add.
  expand | Whether renderer should receive extra space when the area receives more than its natural size.
  align | Whether renderer should be aligned in adjacent rows.
  fixed | Whether renderer should have the same size in all rows.

void Gtk::CellAreaBox::pack_start | ( | CellRenderer& | renderer,
|  | bool | expand = `false`,
|  | bool | align = `true`,
|  | bool | fixed = `false`
| ) |  |

Adds renderer to box, packed with reference to the start of box.

The renderer is packed after any other Gtk::CellRenderer packed with reference to the start of box.

Since gtkmm 3.0:

Parameters:

  renderer | The Gtk::CellRenderer to add.
  expand | Whether renderer should receive extra space when the area receives more than its natural size.
  align | Whether renderer should be aligned in adjacent rows.
  fixed | Whether renderer should have the same size in all rows.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellAreaBox::property_spacing | ( |  | ) | const

Space which is inserted between cells.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellAreaBox::property_spacing | ( |  | ) |

Space which is inserted between cells.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::CellAreaBox::set_spacing | ( | int | spacing | ) |

Sets the spacing to add between cell renderers in box.

Since gtkmm 3.0:

Parameters:

  spacing | The space to add between Gtk::CellRenderers.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::CellAreaBox > wrap | ( | GtkCellAreaBox * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellareabox.h